Bug 677645 - xfce4-panel appears out of the monitor
xfce4-panel appears out of the monitor
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F15Target-xfce
  Show dependency treegraph
 
Reported: 2011-02-15 08:34 EST by Jiri Moskovcak
Modified: 2015-02-18 08:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:31:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Xfce 7272 None None None Never

  None (edit)
Description Jiri Moskovcak 2011-02-15 08:34:01 EST
Description of problem:
I use laptop with external monitor and the external monitor is the primary one, so I place the panel to the external monitor which is labeled as Monitor 2 in the panel config. The problem appears when I run the laptop without the external monitor - the panel is not shown on the laptops screen and if I go to the panel setting it says that the panel is on "monitor 1" and the other choice is "Monitor 1" which is the correct laptop screen (btw, the lower case "m" is not a typo). When I change the Output to "Monitor 1" the "monitor 1" disappears and panel is shown on the laptops screen so the panel "knows" that there is no other screen, but fails to switch to the "Monitor 1". Automatic always selects the laptop. 

Version-Release number of selected component (if applicable):
xfce4-panel-4.8.0-1.fc15.x86_64

How reproducible:
100%

Steps to Reproduce:
1. please see the description
  
Expected results:
The panel should be shown on the laptop's screen when no other screen is available. Btw, this used to work fine with 4.6.
Comment 1 Jiri Moskovcak 2011-02-15 12:59:34 EST
Seems like there are some fixes regarding this problem in 4.8.1 will try that and make an update here..
Comment 2 Jiri Moskovcak 2011-02-16 04:34:46 EST
No luck with 4.8.1 the behavior is same as with 4.8.0.
Comment 3 Christoph Wickert 2011-02-16 05:15:53 EST
(In reply to comment #0)
> The problem appears when I run the laptop without the external monitor 

Did you disable the external monitor before disconnect?

Can you give us ~/.config/xfce4/xfconf/xfce-perchannel-xml/displays.xml please?
Comment 4 Jiri Moskovcak 2011-02-16 07:09:06 EST
(In reply to comment #3)
> (In reply to comment #0)
> > The problem appears when I run the laptop without the external monitor 
> 
> Did you disable the external monitor before disconnect?
> 

no, I just shut down the computer (no suspend) with both monitors enabled and then start it without the external monitor. the weird thing is that once I switch the panel position to the laptop screen the "monitor-1" value disappears so it seems that the panel "knows" that "monitor-1" is not referencing a valid screen, but at start time it's in config file and panel blindly use that value...

> Can you give us ~/.config/xfce4/xfconf/xfce-perchannel-xml/displays.xml please?

No such file or directory
Comment 5 Kevin Fenzi 2011-02-18 13:16:40 EST
This is possibly: http://bugzilla.xfce.org/show_bug.cgi?id=7272 upstream? 

Or is the case slightly different?
Comment 6 Jiri Moskovcak 2011-02-21 04:32:09 EST
(In reply to comment #5)
> This is possibly: http://bugzilla.xfce.org/show_bug.cgi?id=7272 upstream? 
> 
> Or is the case slightly different?

Yes, that sounds like the same problem.
Comment 7 Kevin Fenzi 2011-02-21 11:08:45 EST
Adding that link.
Comment 8 Christoph Wickert 2011-02-25 16:56:53 EST
Please try if it is any better with 
https://admin.fedoraproject.org/updates/xfce4-panel-4.8.2-1.fc15
Comment 9 Jiri Moskovcak 2011-03-02 10:51:13 EST
(In reply to comment #8)
> Please try if it is any better with 
> https://admin.fedoraproject.org/updates/xfce4-panel-4.8.2-1.fc15

No, it doesn't fix the issues.
Comment 10 Jiri Moskovcak 2011-04-21 13:07:43 EDT
With the latest update (4.8.3-1) works a bit better - if I choose output: Automatic, it's on external monitor when it's connected and on laptop monitor when it's not connected. But if I choose Monitor 2 (external) it stays there even when xfce is started without the external monitor.
Comment 11 Kevin Fenzi 2011-04-22 12:47:32 EDT
Updated upstream bug with your testing from comment 10. Thanks!
Comment 12 Christoph Wickert 2011-05-21 10:02:32 EDT
Please try https://admin.fedoraproject.org/updates/xfce4-settings-4.8.2-1.fc15

The release notes sounds as if it could help:
"- Fix invalid desktop size when disabling a monitor (bug #7413)."
Comment 13 Jiri Moskovcak 2011-05-23 04:04:27 EDT
(In reply to comment #12)
> Please try https://admin.fedoraproject.org/updates/xfce4-settings-4.8.2-1.fc15
> 
> The release notes sounds as if it could help:
> "- Fix invalid desktop size when disabling a monitor (bug #7413)."

- it doesn't fix the problem, the use case from comment#1 still behaves the same way
Comment 14 Jiri Pirko 2011-07-12 06:40:58 EDT
I have the same problem with xfce4-panel-4.8.5-1.fc15.x86_64 and xfce4-settings-4.8.2-1.fc15.x86_64
Comment 15 Christoph Wickert 2011-09-26 15:52:58 EDT
Can you try https://admin.fedoraproject.org/updates/xfce4-panel-4.8.6-1.fc15 ?
Comment 16 Jiri Moskovcak 2011-10-05 02:20:44 EDT
xfce4-panel-4.8.6-1.fc16.x86_64 is a bit worse - using "auto" as I wrote in c#10 doesn't work - I have 2 panels (top, bottom) both set to "auto", but since the last update the top panel moves to external monitor, but the bottom panel doesn't - both are set to "auto"
Comment 17 Fedora End Of Life 2013-04-03 15:29:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 18 Fedora End Of Life 2015-01-09 16:47:24 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2015-02-18 08:31:49 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.